VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo:
[legend]

## Public Member Functions

| SemaphoreCreateInfo (SemaphoreCreateFlags flags_=SemaphoreCreateFlags())
| SemaphoreCreateInfo (VkSemaphoreCreateInfo const &rhs)
SemaphoreCreateInfo & | operator= (VkSemaphoreCreateInfo const &rhs)
SemaphoreCreateInfo & | setPNext (const void *pNext_)
SemaphoreCreateInfo & | setFlags (SemaphoreCreateFlags flags_)
| operator VkSemaphoreCreateInfo const & () const
| operator VkSemaphoreCreateInfo & ()
bool | operator== (SemaphoreCreateInfo const &rhs) const
bool | operator!= (SemaphoreCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
SemaphoreCreateFlags | flags

## Private Attributes

StructureType | sType = StructureType::eSemaphoreCreateInfo

## Detailed Description

Definition at line 11560 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SemaphoreCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::SemaphoreCreateInfo | ( | SemaphoreCreateFlags | flags_ = `SemaphoreCreateFlags()` | ) |

inline

Definition at line 11562 of file vulkan.hpp.

: flags( flags_ )
{
}

## SemaphoreCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::SemaphoreCreateInfo | ( | VkSemaphoreCreateInfo const & | rhs | ) |

inline

Definition at line 11567 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SemaphoreCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkSemaphoreCreateInfo &()

VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::operator VkSemaphoreCreateInfo & | ( |  | ) |

inline

Definition at line 11594 of file vulkan.hpp.

{
return *reinterpret_cast<VkSemaphoreCreateInfo*>(this);
}

## operator VkSemaphoreCreateInfo const &()

VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::operator VkSemaphoreCreateInfo const & | ( |  | ) | const

inline

Definition at line 11589 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSemaphoreCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::operator!= | ( | SemaphoreCreateInfo const & | rhs | ) | const

inline

Definition at line 11606 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SemaphoreCreateInfo& VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::operator= | ( | VkSemaphoreCreateInfo const & | rhs | ) |

inline

Definition at line 11572 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SemaphoreCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::operator== | ( | SemaphoreCreateInfo const & | rhs | ) | const

inline

Definition at line 11599 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags );
}

References flags, pNext, and sType.

Referenced by operator!=().

## setFlags()

SemaphoreCreateInfo& VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::setFlags | ( | SemaphoreCreateFlags | flags_ | ) |

inline

Definition at line 11583 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

SemaphoreCreateInfo& VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11577 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

SemaphoreCreateFlags VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::flags

Definition at line 11616 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::pNext = nullptr

Definition at line 11615 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::sType = StructureType::eSemaphoreCreateInfo

private

Definition at line 11612 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:11612
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::SemaphoreCreateInfo
SemaphoreCreateInfo(SemaphoreCreateFlags flags_=SemaphoreCreateFlags())
Definition: vulkan.hpp:11562
VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::flags
SemaphoreCreateFlags flags
Definition: vulkan.hpp:11616
VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::operator==
bool operator==(SemaphoreCreateInfo const &rhs) const
Definition: vulkan.hpp:11599
VULKAN_HPP_NAMESPACE::SemaphoreCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:11615
VkSemaphoreCreateInfo
Definition: vulkan_core.h:2174
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480